@pavel010101

Как правильно запустить gulp?

Все добрый вечер.
Буду благодарен если подскажите как просто и быстро решить проблему .
Мне дали готовую версткy , которую надо немного изменить, в этом проекте сборка на gulp3.9.1 У меня mac os , установлен Node js14.15.1 и я так понял все что выше node js =>12 версии не работает с gulp3. проблемы все типичные, можно посмотреть в google
сначала через npm вообще не загружалась папка node_modules я понял что надо обновить node-sass ( вначале была ошибка в консоли ) , потом попробовал запустить gulp и ошибка
“ReferenceError: primordials is not defined” прочитал в интернете что надо в json файл добавить пару команд
"scripts": {
"preinstall": "npx npm-force-resolutions"
},
"resolutions": {
"hoek": "4.2.1"
}
я сделал переустановил. npm и все равно не работает та же ошибка при запуске gulp “ReferenceError: primordials is not defined”
Вариантов я почитал несколько
1. обновить локальный gulp до 4 версии ( но тогда надо будет менять сборку и таски а опыта нет )
2. Откатиться до более раний версии node js 10 или 11 ( не понимаю как сделать )
3. или может есть более простой способ , я что-то не так делаю
у меня последовательность действий такая - добавляю пару строчек json файл, запускаю команду npm i ( выдает ошибку что мол старая старая версия node-sass), запускаю команду npm i node-sass - файлы добавить могу, но gulp не работает ( выдает ошибку , которая выше)
Заранее спасибо , за любую помощь
  • Вопрос задан
  • 36 просмотров
Решения вопроса 1
sfi0zy
@sfi0zy
Creative frontend developer
2. Откатиться до более раний версии node js 10 или 11 ( не понимаю как сделать )

Есть утилиты, которые ставят много версий ноды и позволяют между ними легко переключаться. Мне уже не первый год нравится n (работает и в linux, и в macOS). Можно загуглить и другие варианты.
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы